Incidencia #732 (closed Error: Resuelto)

Abierto hace 5 años

Última modificación 5 años

error al re-instalar con centro de software

Informado por: ssolano Propietario: armikhael
Prioridad: Alta Hito: Canaima Popular 4.0~estable
Componente: No Definido Versión: 4.0
Gravedad: Importante Palabras clave: canaima, error
Cc: Asignar A:

Descripción

Al intentar reinstalar un paquete el centro de software no responde

Adjuntos

20.png (173.7 KB) - añadido por ssolano hace 5 años.

Historial de cambios

Cambiado el 5 años por ssolano

comment:1 Cambiado el 5 años por erickcion

  • Resumen cambiado de error al instalar con centro de software to error al re-instalar con centro de software

cambiando el titulo

comment:2 Cambiado el 5 años por armikhael

  • Estado cambiado de new to accepted
  • Propietario cambiado de $USER a armikhael

comment:3 Cambiado el 5 años por armikhael

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

ya en la nueva versión de el software-center el problema esta solucionado gracias...

http://git.canaima.softwarelibre.gob.ve/?p=software-center.git;a=commitdiff;h=aae16500f5af5e847cb14254696a33d9774d63fa

Editado por último en fecha 5 años por armikhael (anterior) (diferencia)

comment:4 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to assigned

Luego de instalar un archivo .deb se cerro el software-center inesperadamente. La aplicacion se instalo correctamente pero al intentar abrir el archivo .deb nuevamente para reinstalarlo el software-center se cierra durante la carga.

Me fui a la consola y logre obtener esta salida;

$ software-center frostwire-5.6.4.all.deb 


2013-09-12 14:51:01,544 - softwarecenter.ui.gtk3.em - INFO - EM's: 19 15 23
2013-09-12 14:51:02,754 - softwarecenter.db - ERROR - failed to add apt-xapian-index
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/database.py", line 158, in _get_new_xapiandb
    axi = xapian.Database("/var/lib/apt-xapian-index/index")
  File "/usr/lib/python2.7/dist-packages/xapian/__init__.py", line 3666, in __init__
    _xapian.Database_swiginit(self,_xapian.new_Database(*args))
DatabaseOpeningError: Couldn't stat '/var/cache/apt-xapian-index/index.1' (No existe el fichero o el directorio)
2013-09-12 14:51:02,872 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for gnamon Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:17:19: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:18:20: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:22:20: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:22:26: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:26:22: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:26:24: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:38:20: Not using units is deprecated. Assuming 'px'.

(software-center:18120): Gtk-WARNING **: Theme parsing error: softwarecenter.css:65:19: Not using units is deprecated. Assuming 'px'.
2013-09-12 14:51:03,544 - softwarecenter.backend.piston.rnrclient - ERROR - need python-piston-mini client
available in natty or from:
   ppa:software-store-developers/daily-build 
2013-09-12 14:51:03,956 - softwarecenter.view.appview - WARNING - ubuntu-almost-fixed-height-mode extension not available
2013-09-12 14:51:04,554 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2013-09-12 14:51:04,564 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2013-09-12 14:51:04,564 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2013-09-12 14:51:05,331 - softwarecenter.view.appview - WARNING - ubuntu-almost-fixed-height-mode extension not available
2013-09-12 14:51:06,605 - softwarecenter.db - ERROR - failed to add apt-xapian-index
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/db/database.py", line 158, in _get_new_xapiandb
    axi = xapian.Database("/var/lib/apt-xapian-index/index")
  File "/usr/lib/python2.7/dist-packages/xapian/__init__.py", line 3666, in __init__
    _xapian.Database_swiginit(self,_xapian.new_Database(*args))
DatabaseOpeningError: Couldn't stat '/var/cache/apt-xapian-index/index.1' (No existe el fichero o el directorio)
2013-09-12 14:51:06,704 - softwarecenter.backend.spawn_helper - WARNING - exit code 1 from helper
2013-09-12 14:51:06,710 - softwarecenter.backend.spawn_helper - WARNING - got error from helper: 'Traceback (most recent call last):
  File "/usr/share/software-center/piston_get_scagent_available_apps.py", line 11, in <module>
    import piston_mini_client.auth
ImportError: No module named piston_mini_client.auth
'
FATAL -> Failed to fork.

comment:5 Cambiado el 5 años por erickcion

La versi[on que estoy probando es software-center 5.1.2debian3.1canaima4

comment:6 Cambiado el 5 años por armikhael

  • Estado cambiado de assigned to resuelta
Editado por último en fecha 5 años por armikhael (anterior) (diferencia)

comment:7 Cambiado el 5 años por erickcion

  • Hito cambiado de Canaima Popular 4.0~b2 to Canaima Popular 4.0~estable

comment:8 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

Cambios disponibles a partir de:

  • software-center 5.1.2debian3.1canaima3
Nota: Vea TracTickets para ayuda en el uso de incidencias.